import sys
import pandas 
import uproot

# Besser: Mit argparse
infile  = sys.argv[1]
outfile = sys.argv[2]

data = uproot.open(infile)["DecayTree"]
df = data.arrays(outputtype=pandas.DataFrame)
df.eval("f3=f1*f2", inplace=True)

with uproot.recreate(outfile) as out:
    out["DecayTree"] = uproot.newtree(df.dtypes)
    out["DecayTree"].extend(df.to_dict("list"))
